package domain

type AlibabaHmMarketingItempoolItemAddAsyncCommonActivityParam struct {
	/*
	   外部活动编码     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   活动Id     */
	ActivityId *int64 `json:"activity_id,omitempty" `
}

func (s *AlibabaHmMarketingItempoolItemAddAsyncCommonActivityParam) SetOutActId(v string) *AlibabaHmMarketingItempoolItemAddAsyncCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingItempoolItemAddAsyncCommonActivityParam) SetActivityId(v int64) *AlibabaHmMarketingItempoolItemAddAsyncCommonActivityParam {
	s.ActivityId = &v
	return s
}
